.banner {
  border: 5px solid red;
  padding: 10px;
  overflow: hidden;
}

.one {
  float: right;
  margin-left: auto;
}

p {
  clear: right;
}

.two {
  float: left;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

div {
  float: left;
  height: 200px;
  width: 33.33%;
}

.one {
  background: red;
}

.two {
  background: blue;
}

.three {
  background: green;
}

h1 {
  clear: both;
}
